#ifndef __STACK__
#include "Stack.h"
#endif



// Stack::IStack
#pragma segment Stack
OSErr Stack::IStack(const Stack *aStack)
{
	fSP = aStack->fSP;
	fEmptyItem = aStack->fEmptyItem;

	return (IVector(aStack));
}


// Stack::Push
#pragma segment Stack
void Stack::Push(const void *anItem)
{
	if (fSP < Length())
		_AtPut(fSP, anItem);
	else
		AddItem(anItem);
	fSP++;
}


