#ifndef __FORMATSTRINGS__
#include "FormatStrings.h"
#endif

#ifndef __FORMATSTRINGSDEF__
#include "FormatStrings.def.h"
#endif

#ifndef __STRING__
#include <string.h>
#endif


/*
** Define the strings gFS_ by using a macro.  This macro makes updating the
** list of format strings much easier
*/

#define D(x)	FormatString gFS_##x = (FormatString)FORMATSTRING_##x;

//-
D(if0)
D(if1)
D(if2)
D(if3)
D(if4)
D(if5)
D(if6)
D(if7)

D(else1)
D(else3)
D(else4)
D(else6)

D(switch0)
D(switch1)
D(switch2)
D(switch3)
D(switch4)
D(switch5)
D(switch7)

D(for0)
D(for1)
D(for3)
D(for4)
D(for5)
D(for6)
D(for7)
D(for8)

D(while0)
D(while1)
D(while2)
D(while3)
D(while4)
D(while5)
D(while6)

D(do0)
D(do1)
D(do2)
D(do3)
D(do4)
D(do5)
D(do6)

D(struct0)
D(struct1)
D(struct2)
D(struct3)
D(struct5)
D(struct6)
D(struct7)

D(fundef2)
D(fundef3)
D(fundef4)
D(fundef6)
D(fundef7)
D(fundef8)
D(fundef10)
D(fundef11)
D(fundef12)
D(fundef13)
D(fundef14)

D(decl0)
D(decl1)
D(decl2)
D(decl3)
D(decl5)
D(decl6)
D(decl7)
D(decl8)
D(decl9)
D(decl10)
D(decl11)

D(stmt0)
D(stmt1)

D(expr1)
D(expr2)
D(expr3)
D(expr4)
D(expr5)
D(expr6)
D(expr7)
D(expr8)

D(funcall2)
D(funcall3)
D(funcall4)

D(label1)

D(block1)
D(block2)

D(name1)

D(goto1)
D(return1)
D(break1)
//+
