#ifndef __FORMATSTRINGS__
#define __FORMATSTRINGS__	1

#ifndef __TYPES__
#include <types.h>
#endif


typedef const unsigned char* FormatString;

extern FormatString gFS_if0;
extern FormatString gFS_if1;
extern FormatString gFS_if2;
extern FormatString gFS_if3;
extern FormatString gFS_if4;
extern FormatString gFS_if5;
extern FormatString gFS_if6;
extern FormatString gFS_if7;

extern FormatString gFS_else1;
extern FormatString gFS_else3;
extern FormatString gFS_else4;
extern FormatString gFS_else6;

extern FormatString gFS_switch0;
extern FormatString gFS_switch1;
extern FormatString gFS_switch2;
extern FormatString gFS_switch3;
extern FormatString gFS_switch4;
extern FormatString gFS_switch5;
extern FormatString gFS_switch7;

extern FormatString gFS_for0;
extern FormatString gFS_for1;
extern FormatString gFS_for3;
extern FormatString gFS_for4;
extern FormatString gFS_for5;
extern FormatString gFS_for6;
extern FormatString gFS_for7;
extern FormatString gFS_for8;

extern FormatString gFS_while0;
extern FormatString gFS_while1;
extern FormatString gFS_while2;
extern FormatString gFS_while3;
extern FormatString gFS_while4;
extern FormatString gFS_while5;
extern FormatString gFS_while6;

extern FormatString gFS_do0;
extern FormatString gFS_do1;
extern FormatString gFS_do2;
extern FormatString gFS_do3;
extern FormatString gFS_do4;
extern FormatString gFS_do5;
extern FormatString gFS_do6;
			
extern FormatString gFS_struct0;
extern FormatString gFS_struct1;
extern FormatString gFS_struct2;
extern FormatString gFS_struct3;
extern FormatString gFS_struct5;
extern FormatString gFS_struct6;
extern FormatString gFS_struct7;

extern FormatString gFS_fundef2;
extern FormatString gFS_fundef3;
extern FormatString gFS_fundef4;
extern FormatString gFS_fundef6;
extern FormatString gFS_fundef7;
extern FormatString gFS_fundef8;
extern FormatString gFS_fundef10;
extern FormatString gFS_fundef11;
extern FormatString gFS_fundef12;
extern FormatString gFS_fundef13;
extern FormatString gFS_fundef14;

extern FormatString gFS_decl0;
extern FormatString gFS_decl1;
extern FormatString gFS_decl2;
extern FormatString gFS_decl3;
extern FormatString gFS_decl5;
extern FormatString gFS_decl6;
extern FormatString gFS_decl7;
extern FormatString gFS_decl8;
extern FormatString gFS_decl9;
extern FormatString gFS_decl10;
extern FormatString gFS_decl11;

extern FormatString gFS_stmt0;
extern FormatString gFS_stmt1;

extern FormatString gFS_expr1;
extern FormatString gFS_expr2;
extern FormatString gFS_expr3;
extern FormatString gFS_expr4;
extern FormatString gFS_expr5;
extern FormatString gFS_expr6;
extern FormatString gFS_expr7;
extern FormatString gFS_expr8;

extern FormatString gFS_funcall2;
extern FormatString gFS_funcall3;
extern FormatString gFS_funcall4;

extern FormatString gFS_label1;

extern FormatString gFS_block1;
extern FormatString gFS_block2;

extern FormatString gFS_name1;

extern FormatString gFS_goto1;
extern FormatString gFS_return1;
extern FormatString gFS_break1;

#endif
